AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: Markus Kollotzek
AuthorEmail: markus.kollotzek@posteo.de
WebSite: https://gitlab.com/intergalacticsuperhero/hypezig
SourceCode: https://gitlab.com/intergalacticsuperhero/hypezig/tree/HEAD
IssueTracker: https://gitlab.com/intergalacticsuperhero/hypezig/issues

AutoName: Hypezig

RepoType: git
Repo: https://gitlab.com/intergalacticsuperhero/hypezig.git

Builds:
  - versionName: '1.1'
    versionCode: 11
    commit: v1.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.2'
    versionCode: 12
    commit: v1.2
    subdir: app
    gradle:
      - yes

  - versionName: '1.5'
    versionCode: 14
    commit: v1.5
    subdir: app
    gradle:
      - yes

  - versionName: '1.6'
    versionCode: 15
    commit: v1.6
    subdir: app
    gradle:
      - yes

  - versionName: '1.7'
    versionCode: 16
    commit: v1.7
    subdir: app
    gradle:
      - yes

  - versionName: '1.8'
    versionCode: 17
    commit: v1.8
    subdir: app
    gradle:
      - yes

  - versionName: '1.9'
    versionCode: 18
    commit: v1.9
    subdir: app
    gradle:
      - yes

  - versionName: '2.0'
    versionCode: 19
    commit: v2.0
    subdir: app
    gradle:
      - yes

  - versionName: '2.1'
    versionCode: 20
    commit: v2.1
    subdir: app
    gradle:
      - yes

  - versionName: '2.2'
    versionCode: 21
    commit: 677e2e354c1e812974e3e7b1ca4b97972cbf3ca0
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
CurrentVersion: '2.2'
CurrentVersionCode: 21
